Linux Gridserver, the ubuntu way

From OpenSimulator

Jump to: navigation, search


First, you need to update your sources.list with theses lines :

deb http://fr.archive.ubuntu.com/ubuntu/ hardy main restricted
deb-src http://fr.archive.ubuntu.com/ubuntu/ hardy main restricted
deb http://fr.archive.ubuntu.com/ubuntu/ hardy-updates main restricted
deb-src http://fr.archive.ubuntu.com/ubuntu/ hardy-updates main restricted
deb http://fr.archive.ubuntu.com/ubuntu/ hardy universe
deb-src http://fr.archive.ubuntu.com/ubuntu/ hardy universe
deb http://fr.archive.ubuntu.com/ubuntu/ hardy-updates universe
deb-src http://fr.archive.ubuntu.com/ubuntu/ hardy-updates universe
deb http://fr.archive.ubuntu.com/ubuntu/ hardy multiverse
deb-src http://fr.archive.ubuntu.com/ubuntu/ hardy multiverse
deb http://fr.archive.ubuntu.com/ubuntu/ hardy-updates multiverse
deb-src http://fr.archive.ubuntu.com/ubuntu/ hardy-updates multiverse
deb http://fr.archive.ubuntu.com/ubuntu/ hardy-backports main restricted universe multiverse
# deb-src http://fr.archive.ubuntu.com/ubuntu/ hardy-backports main restricted universe multiverse
deb http://archive.canonical.com/ubuntu hardy partner
deb-src http://archive.canonical.com/ubuntu hardy partner
deb http://security.ubuntu.com/ubuntu hardy-security main restricted
deb-src http://security.ubuntu.com/ubuntu hardy-security main restricted
deb http://security.ubuntu.com/ubuntu hardy-security universe
deb-src http://security.ubuntu.com/ubuntu hardy-security universe
deb http://security.ubuntu.com/ubuntu hardy-security multiverse
deb-src http://security.ubuntu.com/ubuntu hardy-security multiverse
deb http://ppa.launchpad.net/mono-edge/ubuntu/ hardy main universe multiverse restricted

Don't forget the :

apt-get update
apt-get upgrade 

Then, you need to create a file called mono.pkg that contains thoses lines:

libmono-accessibility1.0-cil			install
libmono-accessibility2.0-cil			install
libmono-addins0.2-cil				install
libmono-bytefx0.7.6.1-cil			install
libmono-bytefx0.7.6.2-cil			install
libmono-c5-1.0-cil				install
libmono-cecil0.5-cil				install
libmono-corlib1.0-cil				install
libmono-corlib2.0-cil				install
libmono-corlib2.1-cil				install
libmono-cscompmgd7.0-cil			install
libmono-cscompmgd8.0-cil			install
libmono-data-tds1.0-cil				install
libmono-data-tds2.0-cil				install
libmono-dev					install
libmono-i18n2.0-cil				install
libmono-microsoft7.0-cil			install
libmono-microsoft8.0-cil			install
libmono-mozilla0.1-cil				install
libmono-mozilla0.2-cil				install
libmono-peapi1.0-cil				install
libmono-peapi2.0-cil				install
libmono-relaxng1.0-cil				install
libmono-relaxng2.0-cil				install
libmono-security1.0-cil				install
libmono-security2.0-cil				install
libmono-sharpzip0.84-cil			install
libmono-sharpzip2.84-cil			install
libmono-sqlite1.0-cil				install
libmono-sqlite2.0-cil				install
libmono-system-data1.0-cil			install
libmono-system-data2.0-cil			install
libmono-system-messaging1.0-cil			install
libmono-system-messaging2.0-cil			install
libmono-system-runtime1.0-cil			install
libmono-system-runtime2.0-cil			install
libmono-system-web1.0-cil			install
libmono-system-web2.0-cil			install
libmono-system1.0-cil				install
libmono-system2.0-cil				install
libmono-system2.1-cil				install
libmono-winforms1.0-cil				install
libmono0					install
libmono0-dbg					install
libmono1.0-cil					install
libmono2.0-cil					install
mono-1.0-devel					install
mono-1.0-service				install
mono-2.0-devel					install
mono-2.0-service				install
mono-common					install
mono-dbg					install
mono-debugger					install
mono-gac					install
mono-gmcs					install
mono-jit					install
mono-jit-dbg					install
mono-mcs					install
mono-mjs					install
mono-runtime					install
mono-smcs					install
mono-tools-devel				install
mono-utils					install
monodoc-base					install
monodoc-manual		                        install

then let the magic do its job :

sudo dpkg --set-selections < mono.pkg 
apt-get update && sudo apt-get dselect-upgrade
Personal tools
About This Wiki